<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
>
<h:outputStylesheet library="css" name="style.css"/>
<ui:composition template="/arch.xhtml">
    <ui:define name="head">
        <title>Mes recrutements</title>
    </ui:define>

    <ui:define name="content">
        <div>
            <div class="jobTitle" style="text-align: center;">
                <c:if test="#{mbJob.aCandidateIsRecrutedOnCurrentJob()}">
                    <h1 style="color: green;">#{mbJobDetail.job.getTitle()}</h1>
                    <h4>Le poste est clos, un candidat est recruté</h4>
                </c:if>
                <c:if test="#{mbJob.aCandidateIsRecrutedOnCurrentJob()==false}">
                    <h1>#{mbJobDetail.job.getTitle()}</h1>
                </c:if>
            </div>
            <div class="jobFolder" style="display: flex; justify-content:center">
                <b:tabView activeIndex="#{mbStep.index}">
                    <b:tab title="Fiche de poste">
                        <div class="jobDescContent">
                            <div class="jobDetail" style="display: flex; justify-content:center">
                                <b:form>
                                    <div class="jobDetailReferent"
                                         style="display: flex; justify-content: space-around; align-items: stretch;background-color: #DFF2FF; padding: 3rem">
                                        <div class="jobInfos"
                                             style="flex-grow: 1; flex-basis:30rem; margin-right: 2rem">
                                            <div class="jobReferent " style="display: flex; justify-content:flex-start">
                                                <b:icon value="user" size="2x"/>
                                                <b:selectOneMenu style="margin-left : 5rem"
                                                                 value="#{mbJobDetail.jobReferentId}">
                                                    <f:selectItems value="#{mbJobDetail.referents}" var="r"
                                                                   itemValue="#{r.id}"
                                                                   itemLabel="#{r.firstName} #{r.lastName}"/>
                                                </b:selectOneMenu>
                                            </div>

                                            <div class="jobEmplacement"
                                                 style="display: flex; justify-content:flex-start">
                                                <b:icon value="globe" size="2x"/>
                                                <h:outputText style="margin-left : 5rem; font-weight: bold"
                                                              value="${mbJobDetail.job.getCity().getCityName()} (${mbJobDetail.job.getCity().getPostCode()})"></h:outputText>
                                            </div>
                                            <div class="jobSalary"
                                                 style="display: flex; justify-content:flex-start; align-items:center">
                                                <b:icon class="salaryIcon" value="euro" size="2x"/>
                                                <b:inputText style="margin-left : 5rem; margin-top:2vh; max-width:7rem"
                                                             value="${mbJobDetail.minSalary}"
                                                ></b:inputText> -
                                                <b:inputText style="margin-left : 1rem;margin-top:2vh; max-width:7rem"
                                                             value="${mbJobDetail.maxSalary}"
                                                ></b:inputText>
                                            </div>
                                            <div class="jobStudyLevel"
                                                 style="display: flex; justify-content:flex-start">
                                                <b:iconAwesome value="fa-book" size="2x"/>
                                                <b:selectOneMenu style="margin-left : 5rem"
                                                                 value="#{mbJobDetail.jobLevel}"
                                                                 alt="#{mbJobDetail.jobLevel}">
                                                    <f:selectItems var="l" value="#{mbJobDetail.levels}"
                                                                   itemValue="#{l.level}" itemLabel="#{l.level}"/>
                                                </b:selectOneMenu>
                                            </div>
                                            <div class="jobContract" style="display: flex; justify-content:flex-start">
                                                <b:iconAwesome value="fa-suitcase" size="2x"/>
                                                <b:selectOneMenu style="margin-left : 5rem"
                                                                 value="#{mbJobDetail.jobContract}">
                                                    <f:selectItems var="c" value="#{mbJobDetail.contracts}"
                                                                   itemValue="#{c.type}" itemLabel="#{c.type}"/>
                                                </b:selectOneMenu>
                                            </div>
                                            <div class="jobTime" style="display: flex; justify-content:flex-start">
                                                <b:iconAwesome value="fa-clock-o" size="2x"/>
                                                <b:selectOneMenu style="margin-left : 5rem"
                                                                 value="#{mbJobDetail.jobTime}">
                                                    <f:selectItems var="t" value="#{mbJobDetail.times}"
                                                                   itemValue="#{t.type}" itemLabel="#{t.type}"/>
                                                </b:selectOneMenu>
                                            </div>
                                        </div>
                                        <div class="jobDesc"
                                             style=" ;flex-grow: 6; margin-left: 2rem; display: flex; justify-content:center">
                                            <b:inputTextarea
                                                    style="  max-width : 40vw; min-width: 40vw; min-height : 50vh; max-height : 50vh; align-items: stretch"
                                                    value="#{mbJobDetail.details}"></b:inputTextarea>
                                        </div>
                                    </div>
                                    <div class="buttonForChange" style="margin-top: 5vh;display: flex;justify-content: center">
                                    <b:commandButton
                                            style-class="cat-width-100"
                                            look="success"
                                            value="Enregistrer les modifications"
                                            action="#{mbJobDetail.save()}"/>
                                    </div>
                                </b:form>
                            </div>
                        </div>
                    </b:tab>
                    <c:forEach items="#{mbJobDetail.steps}" var="step">
                        <b:tab title="#{step.name}" >
                            <h:outputScript library="js" name="step.js"></h:outputScript>
                            <div class="" style="display: flex; justify-content:center">
                                <b:form>
                                    <div class="RespAndCandidateNav" style="display:flex; flex: 1; width: 20vw; flex-wrap: wrap;flex-direction:column; height: 72vh">
                                        <div class="StepBoss"
                                             style=" flex : 1; margin-top:0rem; height:7vh; display: flex;flex-wrap: wrap; justify-content: space-around;padding: 1rem ">
                                            <div class="StepBossIcon"
                                                 style="display: flex;flex-direction: column; align-items: center; justify-content: center">
                                                <b:icon value="user" size="2x"/>
                                                <b:label value="Responsable de l'étape"></b:label>
                                            </div>
                                            <div style="font-weight:bold; font-size: large; min-width:10rem; display: flex; align-items: center"
                                                 class="StepBossName">
                                                <h:outputText style=""
                                                              value="#{step.referentFirstName} #{step.getReferentlastName()} "></h:outputText>
                                            </div>
                                        </div>

                                        <div class="CandidateManagement" style="display: flex; flex-direction:column; flex:8; height: 60vh; overflow-y: scroll;">

                                            <div style="padding:1rem; background-color:#F2F2F2; flex:1; border: solid darkgray thin; border-radius: 10px;">
                                                <div class="buttonSelector"
                                                     style=" display:flex; flex-direction:column; align-content:center">

                                                    <c:forEach var="stepProcess"
                                                               items="#{mbStep.stepProcesses(step.id)}">

                                                        <b:button look="primary" style="flex:1; margin-bottom:1rem"
                                                                  size="lg"
                                                                  value="#{stepProcess.getCandidate().getFirstName()} #{stepProcess.getCandidate().getLastName() }"
                                                                  onclick="candidateName('#{stepProcess.getCandidate().getFirstName()} #{stepProcess.getCandidate().getLastName() }',
                                                           '#{stepProcess.getCandidate().getSalary()}',
                                                           '#{stepProcess.getCandidate().getCity().getCityName()} #{stepProcess.getCandidate().getCity().getPostCode()}',
                                                           '#{stepProcess.getCandidate().getStudyLevel().getLevel()}',
                                                           '#{stepProcess.getCandidate().getPhoneNumber()}',
                                                           '#{stepProcess.getCandidate().getMail()}',
                                                           '#{stepProcess.getCandidate().getAvailabilityPeriod().getName()}',
                                                            '#{stepProcess.getResume().getPath()}',
                                                            '#{stepProcess.id}', '#{step.id}');setCandidateId(#{stepProcess.getCandidate().getId()})">
                                                        </b:button>
                                                    </c:forEach>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </b:form>
                                <div class="CandidateBlock#{step.id}"  style="flex: 1; width: 60vw; visibility: hidden ;">

                                    <div class="CandidateInfo" style="background-color: #DFF2FF; padding: 2rem; margin: 1rem; border-radius: 3px">

                                        <b:form>
                                            <div class="detailListCandidate"
                                                 style="display: flex; justify-content: flex-start; margin-bottom: 2rem">
                                                <div class="detailListCandidate1">
                                                    <div class="adress"
                                                         style="display: flex; justify-content:flex-start; flex:1">
                                                        <b:icon value="globe" size="2x"/>
                                                        <h:outputText class="AdressInput#{step.id}"
                                                                      style="margin-left : 5rem; font-weight: bold"
                                                                      value=""></h:outputText>
                                                    </div>
                                                    <div class="Salary"
                                                         style="display: flex; justify-content:flex-start">
                                                        <b:icon value="euro" size="2x"/>
                                                        <h:outputText class="SalaryInput#{step.id}"
                                                                      style="margin-left : 5rem; font-weight: bold"
                                                                      value="52000€/an"></h:outputText>
                                                    </div>
                                                    <div class="Diploma"
                                                         style="display: flex; justify-content:flex-start">
                                                        <b:iconAwesome value="fa-book" size="2x"/>
                                                        <h:outputText class="DiplomaInput#{step.id}"
                                                                      style="margin-left : 5rem; font-weight: bold"
                                                                      value="bac + 5"></h:outputText>
                                                    </div>
                                                </div>
                                                <div class="detailListCandidate2" style="margin-left: 4vw">
                                                    <div class="phone"
                                                         style="display: flex; justify-content:flex-start;flex:1">
                                                        <b:icon value="phone" size="2x"/>
                                                        <h:outputText class="PhoneInput#{step.id}"
                                                                      style="margin-left : 5rem; font-weight: bold"
                                                                      value="06 58 28 98 98"></h:outputText>
                                                    </div>
                                                    <div class="mail" style="display: flex; justify-content:flex-start">
                                                        <b:icon value="envelope" size="2x"/>
                                                        <h:outputText class="MailInput#{step.id}"
                                                                      style="margin-left : 5rem; font-weight: bold"
                                                                      value="a.legrand@hotmail.fr"></h:outputText>
                                                    </div>
                                                    <div class="Disponibility"
                                                         style="display: flex; justify-content:flex-start">
                                                        <b:iconAwesome value="fa-clock-o" size="2x"/>
                                                        <h:outputText class="PeriodInput#{step.id}"
                                                                      style="margin-left : 5rem; font-weight: bold"
                                                                      value="3 mois après la signature"></h:outputText>
                                                    </div>
                                                </div>
                                                <div class="candidateName" style="flex:3; display: flex; justify-content: flex-end; ">
                                                    <h1 class="candidateNameTitle#{step.id}" style="margin-left: 3rem; color: black; font-weight: bold"></h1>
                                                </div>
                                            </div>
                                            <div class="butonList"
                                                 style="display: flex; justify-content: space-between">
                                                <c:if test="#{step.stepNumber!=100 and step.stepNumber!=1 and step.stepNumber!=20 and mbJob.aCandidateIsRecrutedOnCurrentJob()==false}">
                                                <div class="confirmButton"
                                                     style="display: flex;justify-content: space-around; flex: 1">
                                                    <b:commandButton class ="validateAcutalStep" action="#{mbStep.validStep()}" value="Valider" look="success"  ></b:commandButton>
                                                    <b:commandButton class ="invalidateAcutalStep" value="Refuser" action="#{mbStep.invalidStep()}" look="danger"></b:commandButton>
                                                </div>
                                                </c:if>
                                                <c:if test="#{mbJob.aCandidateIsRecrutedOnCurrentJob()}">
                                                    <div class="confirmButton"
                                                         style="display: flex;justify-content: space-around; flex: 1">
                                                     <h:outputText value="Un candidat a été recruté sur le poste"></h:outputText>
                                                    </div>
                                                </c:if>
                                                <div class="DlButton"
                                                     style="flex: 2; display: flex; justify-content: flex-end">
                                                    <b:button class="DLResume#{step.id}" style="max-width:10vw; margin-right: 4vw"
                                                            look="info" target="_blank" value="Télécharger le CV"/>

                                                </div>
                                            </div>
                                            <div class="Resume" style="height: 50vh;  margin-top: 2rem">
                                                <iframe class="ResumeInput#{step.id}"
                                                        src=""
                                                        width="100%"
                                                        height="100%"></iframe>
                                            </div>
                                        </b:form>
                                    </div>
                                </div>
                            </div>
                        </b:tab>
                    </c:forEach>
                </b:tabView>
            </div>
        </div>
    </ui:define>
</ui:composition>

</html>